add_rules("mode.debug", "mode.release")
set_arch("x64")
set_languages("cxx20")
set_project("zengine")
set_toolchains("clang")
includes("engine")
--xmake project -k vsxmake2022 -a x64
--xmake project -k vsxmake2022 -m "debug;release"